## org.codehaus.groovy.runtime
Class CurriedClosure

Represents wrapper around a Closure to support currying

author:
  Jochen Theodorou

Field Summary
`def` | `curriedParams`

Constructor Summary
`CurriedClosure(Closure uncurriedClosure, def arguments)`
`CurriedClosure(Closure uncurriedClosure, int i)`

Method Summary
`Object` | `clone()`
`def` | `getParameterTypes()`
`def` | `getUncurriedArguments(def arguments)`
`void` | `setDelegate(Object delegate)`

Constructor Detail

### CurriedClosure

    public CurriedClosure(Closure uncurriedClosure, def arguments)

### CurriedClosure

    public CurriedClosure(Closure uncurriedClosure, int i)

Method Detail

### clone

    public Object clone()

### getParameterTypes

    public def getParameterTypes()

### getUncurriedArguments

    public def getUncurriedArguments(def arguments)

### setDelegate

    public void setDelegate(Object delegate)